# CMake generated Testfile for 
# Source directory: /home/eaibot/2022_jsjds/google_ws/src/ceres-solver/internal/ceres
# Build directory: /home/eaibot/2022_jsjds/google_ws/build_isolated/ceres-solver/install/internal/ceres
# 
# This file includes the relevant testing commands required for 
# testing this directory and lists subdirectories to be tested as well.
add_test(array_utils_test "/home/eaibot/2022_jsjds/google_ws/build_isolated/ceres-solver/install/bin/array_utils_test" "--test_srcdir" "/home/eaibot/2022_jsjds/google_ws/src/ceres-solver/data")
add_test(autodiff_test "/home/eaibot/2022_jsjds/google_ws/build_isolated/ceres-solver/install/bin/autodiff_test" "--test_srcdir" "/home/eaibot/2022_jsjds/google_ws/src/ceres-solver/data")
add_test(autodiff_cost_function_test "/home/eaibot/2022_jsjds/google_ws/build_isolated/ceres-solver/install/bin/autodiff_cost_function_test" "--test_srcdir" "/home/eaibot/2022_jsjds/google_ws/src/ceres-solver/data")
add_test(autodiff_local_parameterization_test "/home/eaibot/2022_jsjds/google_ws/build_isolated/ceres-solver/install/bin/autodiff_local_parameterization_test" "--test_srcdir" "/home/eaibot/2022_jsjds/google_ws/src/ceres-solver/data")
add_test(block_jacobi_preconditioner_test "/home/eaibot/2022_jsjds/google_ws/build_isolated/ceres-solver/install/bin/block_jacobi_preconditioner_test" "--test_srcdir" "/home/eaibot/2022_jsjds/google_ws/src/ceres-solver/data")
add_test(block_random_access_dense_matrix_test "/home/eaibot/2022_jsjds/google_ws/build_isolated/ceres-solver/install/bin/block_random_access_dense_matrix_test" "--test_srcdir" "/home/eaibot/2022_jsjds/google_ws/src/ceres-solver/data")
add_test(block_random_access_diagonal_matrix_test "/home/eaibot/2022_jsjds/google_ws/build_isolated/ceres-solver/install/bin/block_random_access_diagonal_matrix_test" "--test_srcdir" "/home/eaibot/2022_jsjds/google_ws/src/ceres-solver/data")
add_test(block_random_access_sparse_matrix_test "/home/eaibot/2022_jsjds/google_ws/build_isolated/ceres-solver/install/bin/block_random_access_sparse_matrix_test" "--test_srcdir" "/home/eaibot/2022_jsjds/google_ws/src/ceres-solver/data")
add_test(block_sparse_matrix_test "/home/eaibot/2022_jsjds/google_ws/build_isolated/ceres-solver/install/bin/block_sparse_matrix_test" "--test_srcdir" "/home/eaibot/2022_jsjds/google_ws/src/ceres-solver/data")
add_test(bundle_adjustment_test "/home/eaibot/2022_jsjds/google_ws/build_isolated/ceres-solver/install/bin/bundle_adjustment_test" "--test_srcdir" "/home/eaibot/2022_jsjds/google_ws/src/ceres-solver/data")
add_test(c_api_test "/home/eaibot/2022_jsjds/google_ws/build_isolated/ceres-solver/install/bin/c_api_test" "--test_srcdir" "/home/eaibot/2022_jsjds/google_ws/src/ceres-solver/data")
add_test(canonical_views_clustering_test "/home/eaibot/2022_jsjds/google_ws/build_isolated/ceres-solver/install/bin/canonical_views_clustering_test" "--test_srcdir" "/home/eaibot/2022_jsjds/google_ws/src/ceres-solver/data")
add_test(compressed_row_sparse_matrix_test "/home/eaibot/2022_jsjds/google_ws/build_isolated/ceres-solver/install/bin/compressed_row_sparse_matrix_test" "--test_srcdir" "/home/eaibot/2022_jsjds/google_ws/src/ceres-solver/data")
add_test(conditioned_cost_function_test "/home/eaibot/2022_jsjds/google_ws/build_isolated/ceres-solver/install/bin/conditioned_cost_function_test" "--test_srcdir" "/home/eaibot/2022_jsjds/google_ws/src/ceres-solver/data")
add_test(corrector_test "/home/eaibot/2022_jsjds/google_ws/build_isolated/ceres-solver/install/bin/corrector_test" "--test_srcdir" "/home/eaibot/2022_jsjds/google_ws/src/ceres-solver/data")
add_test(cost_function_to_functor_test "/home/eaibot/2022_jsjds/google_ws/build_isolated/ceres-solver/install/bin/cost_function_to_functor_test" "--test_srcdir" "/home/eaibot/2022_jsjds/google_ws/src/ceres-solver/data")
add_test(covariance_test "/home/eaibot/2022_jsjds/google_ws/build_isolated/ceres-solver/install/bin/covariance_test" "--test_srcdir" "/home/eaibot/2022_jsjds/google_ws/src/ceres-solver/data")
add_test(cubic_interpolation_test "/home/eaibot/2022_jsjds/google_ws/build_isolated/ceres-solver/install/bin/cubic_interpolation_test" "--test_srcdir" "/home/eaibot/2022_jsjds/google_ws/src/ceres-solver/data")
add_test(detect_structure_test "/home/eaibot/2022_jsjds/google_ws/build_isolated/ceres-solver/install/bin/detect_structure_test" "--test_srcdir" "/home/eaibot/2022_jsjds/google_ws/src/ceres-solver/data")
add_test(dense_sparse_matrix_test "/home/eaibot/2022_jsjds/google_ws/build_isolated/ceres-solver/install/bin/dense_sparse_matrix_test" "--test_srcdir" "/home/eaibot/2022_jsjds/google_ws/src/ceres-solver/data")
add_test(dynamic_autodiff_cost_function_test "/home/eaibot/2022_jsjds/google_ws/build_isolated/ceres-solver/install/bin/dynamic_autodiff_cost_function_test" "--test_srcdir" "/home/eaibot/2022_jsjds/google_ws/src/ceres-solver/data")
add_test(dynamic_compressed_row_sparse_matrix_test "/home/eaibot/2022_jsjds/google_ws/build_isolated/ceres-solver/install/bin/dynamic_compressed_row_sparse_matrix_test" "--test_srcdir" "/home/eaibot/2022_jsjds/google_ws/src/ceres-solver/data")
add_test(dynamic_numeric_diff_cost_function_test "/home/eaibot/2022_jsjds/google_ws/build_isolated/ceres-solver/install/bin/dynamic_numeric_diff_cost_function_test" "--test_srcdir" "/home/eaibot/2022_jsjds/google_ws/src/ceres-solver/data")
add_test(evaluator_test "/home/eaibot/2022_jsjds/google_ws/build_isolated/ceres-solver/install/bin/evaluator_test" "--test_srcdir" "/home/eaibot/2022_jsjds/google_ws/src/ceres-solver/data")
add_test(gradient_checker_test "/home/eaibot/2022_jsjds/google_ws/build_isolated/ceres-solver/install/bin/gradient_checker_test" "--test_srcdir" "/home/eaibot/2022_jsjds/google_ws/src/ceres-solver/data")
add_test(gradient_checking_cost_function_test "/home/eaibot/2022_jsjds/google_ws/build_isolated/ceres-solver/install/bin/gradient_checking_cost_function_test" "--test_srcdir" "/home/eaibot/2022_jsjds/google_ws/src/ceres-solver/data")
add_test(gradient_problem_test "/home/eaibot/2022_jsjds/google_ws/build_isolated/ceres-solver/install/bin/gradient_problem_test" "--test_srcdir" "/home/eaibot/2022_jsjds/google_ws/src/ceres-solver/data")
add_test(gradient_problem_solver_test "/home/eaibot/2022_jsjds/google_ws/build_isolated/ceres-solver/install/bin/gradient_problem_solver_test" "--test_srcdir" "/home/eaibot/2022_jsjds/google_ws/src/ceres-solver/data")
add_test(graph_test "/home/eaibot/2022_jsjds/google_ws/build_isolated/ceres-solver/install/bin/graph_test" "--test_srcdir" "/home/eaibot/2022_jsjds/google_ws/src/ceres-solver/data")
add_test(graph_algorithms_test "/home/eaibot/2022_jsjds/google_ws/build_isolated/ceres-solver/install/bin/graph_algorithms_test" "--test_srcdir" "/home/eaibot/2022_jsjds/google_ws/src/ceres-solver/data")
add_test(householder_vector_test "/home/eaibot/2022_jsjds/google_ws/build_isolated/ceres-solver/install/bin/householder_vector_test" "--test_srcdir" "/home/eaibot/2022_jsjds/google_ws/src/ceres-solver/data")
add_test(is_close_test "/home/eaibot/2022_jsjds/google_ws/build_isolated/ceres-solver/install/bin/is_close_test" "--test_srcdir" "/home/eaibot/2022_jsjds/google_ws/src/ceres-solver/data")
add_test(implicit_schur_complement_test "/home/eaibot/2022_jsjds/google_ws/build_isolated/ceres-solver/install/bin/implicit_schur_complement_test" "--test_srcdir" "/home/eaibot/2022_jsjds/google_ws/src/ceres-solver/data")
add_test(iterative_schur_complement_solver_test "/home/eaibot/2022_jsjds/google_ws/build_isolated/ceres-solver/install/bin/iterative_schur_complement_solver_test" "--test_srcdir" "/home/eaibot/2022_jsjds/google_ws/src/ceres-solver/data")
add_test(jet_test "/home/eaibot/2022_jsjds/google_ws/build_isolated/ceres-solver/install/bin/jet_test" "--test_srcdir" "/home/eaibot/2022_jsjds/google_ws/src/ceres-solver/data")
add_test(levenberg_marquardt_strategy_test "/home/eaibot/2022_jsjds/google_ws/build_isolated/ceres-solver/install/bin/levenberg_marquardt_strategy_test" "--test_srcdir" "/home/eaibot/2022_jsjds/google_ws/src/ceres-solver/data")
add_test(dogleg_strategy_test "/home/eaibot/2022_jsjds/google_ws/build_isolated/ceres-solver/install/bin/dogleg_strategy_test" "--test_srcdir" "/home/eaibot/2022_jsjds/google_ws/src/ceres-solver/data")
add_test(line_search_preprocessor_test "/home/eaibot/2022_jsjds/google_ws/build_isolated/ceres-solver/install/bin/line_search_preprocessor_test" "--test_srcdir" "/home/eaibot/2022_jsjds/google_ws/src/ceres-solver/data")
add_test(local_parameterization_test "/home/eaibot/2022_jsjds/google_ws/build_isolated/ceres-solver/install/bin/local_parameterization_test" "--test_srcdir" "/home/eaibot/2022_jsjds/google_ws/src/ceres-solver/data")
add_test(loss_function_test "/home/eaibot/2022_jsjds/google_ws/build_isolated/ceres-solver/install/bin/loss_function_test" "--test_srcdir" "/home/eaibot/2022_jsjds/google_ws/src/ceres-solver/data")
add_test(minimizer_test "/home/eaibot/2022_jsjds/google_ws/build_isolated/ceres-solver/install/bin/minimizer_test" "--test_srcdir" "/home/eaibot/2022_jsjds/google_ws/src/ceres-solver/data")
add_test(normal_prior_test "/home/eaibot/2022_jsjds/google_ws/build_isolated/ceres-solver/install/bin/normal_prior_test" "--test_srcdir" "/home/eaibot/2022_jsjds/google_ws/src/ceres-solver/data")
add_test(numeric_diff_cost_function_test "/home/eaibot/2022_jsjds/google_ws/build_isolated/ceres-solver/install/bin/numeric_diff_cost_function_test" "--test_srcdir" "/home/eaibot/2022_jsjds/google_ws/src/ceres-solver/data")
add_test(ordered_groups_test "/home/eaibot/2022_jsjds/google_ws/build_isolated/ceres-solver/install/bin/ordered_groups_test" "--test_srcdir" "/home/eaibot/2022_jsjds/google_ws/src/ceres-solver/data")
add_test(parameter_block_test "/home/eaibot/2022_jsjds/google_ws/build_isolated/ceres-solver/install/bin/parameter_block_test" "--test_srcdir" "/home/eaibot/2022_jsjds/google_ws/src/ceres-solver/data")
add_test(parameter_block_ordering_test "/home/eaibot/2022_jsjds/google_ws/build_isolated/ceres-solver/install/bin/parameter_block_ordering_test" "--test_srcdir" "/home/eaibot/2022_jsjds/google_ws/src/ceres-solver/data")
add_test(partitioned_matrix_view_test "/home/eaibot/2022_jsjds/google_ws/build_isolated/ceres-solver/install/bin/partitioned_matrix_view_test" "--test_srcdir" "/home/eaibot/2022_jsjds/google_ws/src/ceres-solver/data")
add_test(polynomial_test "/home/eaibot/2022_jsjds/google_ws/build_isolated/ceres-solver/install/bin/polynomial_test" "--test_srcdir" "/home/eaibot/2022_jsjds/google_ws/src/ceres-solver/data")
add_test(problem_test "/home/eaibot/2022_jsjds/google_ws/build_isolated/ceres-solver/install/bin/problem_test" "--test_srcdir" "/home/eaibot/2022_jsjds/google_ws/src/ceres-solver/data")
add_test(program_test "/home/eaibot/2022_jsjds/google_ws/build_isolated/ceres-solver/install/bin/program_test" "--test_srcdir" "/home/eaibot/2022_jsjds/google_ws/src/ceres-solver/data")
add_test(reorder_program_test "/home/eaibot/2022_jsjds/google_ws/build_isolated/ceres-solver/install/bin/reorder_program_test" "--test_srcdir" "/home/eaibot/2022_jsjds/google_ws/src/ceres-solver/data")
add_test(residual_block_test "/home/eaibot/2022_jsjds/google_ws/build_isolated/ceres-solver/install/bin/residual_block_test" "--test_srcdir" "/home/eaibot/2022_jsjds/google_ws/src/ceres-solver/data")
add_test(residual_block_utils_test "/home/eaibot/2022_jsjds/google_ws/build_isolated/ceres-solver/install/bin/residual_block_utils_test" "--test_srcdir" "/home/eaibot/2022_jsjds/google_ws/src/ceres-solver/data")
add_test(rotation_test "/home/eaibot/2022_jsjds/google_ws/build_isolated/ceres-solver/install/bin/rotation_test" "--test_srcdir" "/home/eaibot/2022_jsjds/google_ws/src/ceres-solver/data")
add_test(schur_complement_solver_test "/home/eaibot/2022_jsjds/google_ws/build_isolated/ceres-solver/install/bin/schur_complement_solver_test" "--test_srcdir" "/home/eaibot/2022_jsjds/google_ws/src/ceres-solver/data")
add_test(schur_eliminator_test "/home/eaibot/2022_jsjds/google_ws/build_isolated/ceres-solver/install/bin/schur_eliminator_test" "--test_srcdir" "/home/eaibot/2022_jsjds/google_ws/src/ceres-solver/data")
add_test(single_linkage_clustering_test "/home/eaibot/2022_jsjds/google_ws/build_isolated/ceres-solver/install/bin/single_linkage_clustering_test" "--test_srcdir" "/home/eaibot/2022_jsjds/google_ws/src/ceres-solver/data")
add_test(small_blas_test "/home/eaibot/2022_jsjds/google_ws/build_isolated/ceres-solver/install/bin/small_blas_test" "--test_srcdir" "/home/eaibot/2022_jsjds/google_ws/src/ceres-solver/data")
add_test(solver_test "/home/eaibot/2022_jsjds/google_ws/build_isolated/ceres-solver/install/bin/solver_test" "--test_srcdir" "/home/eaibot/2022_jsjds/google_ws/src/ceres-solver/data")
add_test(compressed_col_sparse_matrix_utils_test "/home/eaibot/2022_jsjds/google_ws/build_isolated/ceres-solver/install/bin/compressed_col_sparse_matrix_utils_test" "--test_srcdir" "/home/eaibot/2022_jsjds/google_ws/src/ceres-solver/data")
add_test(symmetric_linear_solver_test "/home/eaibot/2022_jsjds/google_ws/build_isolated/ceres-solver/install/bin/symmetric_linear_solver_test" "--test_srcdir" "/home/eaibot/2022_jsjds/google_ws/src/ceres-solver/data")
add_test(triplet_sparse_matrix_test "/home/eaibot/2022_jsjds/google_ws/build_isolated/ceres-solver/install/bin/triplet_sparse_matrix_test" "--test_srcdir" "/home/eaibot/2022_jsjds/google_ws/src/ceres-solver/data")
add_test(trust_region_minimizer_test "/home/eaibot/2022_jsjds/google_ws/build_isolated/ceres-solver/install/bin/trust_region_minimizer_test" "--test_srcdir" "/home/eaibot/2022_jsjds/google_ws/src/ceres-solver/data")
add_test(trust_region_preprocessor_test "/home/eaibot/2022_jsjds/google_ws/build_isolated/ceres-solver/install/bin/trust_region_preprocessor_test" "--test_srcdir" "/home/eaibot/2022_jsjds/google_ws/src/ceres-solver/data")
add_test(unsymmetric_linear_solver_test "/home/eaibot/2022_jsjds/google_ws/build_isolated/ceres-solver/install/bin/unsymmetric_linear_solver_test" "--test_srcdir" "/home/eaibot/2022_jsjds/google_ws/src/ceres-solver/data")
add_test(visibility_test "/home/eaibot/2022_jsjds/google_ws/build_isolated/ceres-solver/install/bin/visibility_test" "--test_srcdir" "/home/eaibot/2022_jsjds/google_ws/src/ceres-solver/data")
add_test(visibility_based_preconditioner_test "/home/eaibot/2022_jsjds/google_ws/build_isolated/ceres-solver/install/bin/visibility_based_preconditioner_test" "--test_srcdir" "/home/eaibot/2022_jsjds/google_ws/src/ceres-solver/data")
add_test(system_test "/home/eaibot/2022_jsjds/google_ws/build_isolated/ceres-solver/install/bin/system_test" "--test_srcdir" "/home/eaibot/2022_jsjds/google_ws/src/ceres-solver/data")
